Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi.util
Class WSDLFlattener

    java.lang.Object
      org.apache.ode.jbi.util.WSDLFlattener

    public class WSDLFlattener

extends java.lang.Object

Constructor Summary
`WSDLFlattener(javax.wsdl.Definition definition)`
`WSDLFlattener(javax.wsdl.Definition definition, SchemaCollection schemas)`

Method Summary
`javax.wsdl.Definition` | `getDefinition()`
`javax.wsdl.Definition` | `getDefinition(javax.xml.namespace.QName portType)` Retrieve a flattened definition for a given port type name.
`SchemaCollection` | `getSchemas()`
`void` | `initialize()` Parse the schemas referenced by the definition.
`void` | `setDefinition(javax.wsdl.Definition definition)`
`void` | `setSchemas(SchemaCollection schemas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLFlattener

    public WSDLFlattener(javax.wsdl.Definition definition)

### WSDLFlattener

    public WSDLFlattener(javax.wsdl.Definition definition,
                         SchemaCollection schemas)

Method Detail

### initialize

    public void initialize()
                    throws java.lang.Exception

  Parse the schemas referenced by the definition.

  Throws:
    `java.lang.Exception` - if an error occurs

### getDefinition

    public javax.wsdl.Definition getDefinition(javax.xml.namespace.QName portType)
                                        throws java.lang.Exception

  Retrieve a flattened definition for a given port type name.

  Parameters:
    `portType` - the port type to create a flat definition for
  Returns:
    a flat definition for the port type
  Throws:
    `java.lang.Exception` - if an error occurs

### getDefinition

    public javax.wsdl.Definition getDefinition()

  Returns:
    Returns the definition.

### setDefinition

    public void setDefinition(javax.wsdl.Definition definition)

  Parameters:
    `definition` - The definition to set.

### getSchemas

    public SchemaCollection getSchemas()
                                throws java.lang.Exception

  Returns:
    Returns the schemas.
  Throws:
    `java.lang.Exception`

### setSchemas

    public void setSchemas(SchemaCollection schemas)

  Parameters:
    `schemas` - The schemas to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD